Loading...
Searching...
No Matches
pdftron::Layout::TableRow Class Reference

`#include <ContentTree.h>`

Inheritance diagram for pdftron::Layout::TableRow:

## Public Member Functions
| ~TableRow ()
void | Destroy ()
TableCell | AddTableCell ()
void | SetRowHeight (double val)
UInt32 | GetNumColumns ()
Public Member Functions inherited from pdftron::Layout::ContentNode
| ~ContentNode ()
void | Destroy ()
ContentNodeIterator | GetContentNodeIterator ()
Public Member Functions inherited from pdftron::Layout::ContentElement
| ~ContentElement ()
void | Destroy ()
ElementRef< List > | AsList () const
ElementRef< ListItem > | AsListItem () const
ElementRef< ContentNode > | AsContentNode () const
ElementRef< TextRun > | AsTextRun () const
ElementRef< Paragraph > | AsParagraph () const
ElementRef< Table > | AsTable () const
ElementRef< TableRow > | AsTableRow () const
ElementRef< TableCell > | AsTableCell () const
TextStyledElement | GetTextStyledElement ()

## Friends
class | Table
class | ElementRef< TableRow >

## Additional Inherited Members
Public Attributes inherited from pdftron::Layout::ContentElement
TRN_ContentElement | m_impl
Protected Member Functions inherited from pdftron::Layout::ContentNode
| ContentNode (TRN_ContentNode impl)
Protected Member Functions inherited from pdftron::Layout::ContentElement
| ContentElement (TRN_ContentElement impl)

## Detailed Description

A class representing a table row, which can be used during document creation.

Definition at line 743 of file ContentTree.h.

## Constructor & Destructor Documentation

## ◆ ~TableRow()

pdftron::Layout::TableRow::~TableRow | ( |  | ) |

## Member Function Documentation

## ◆ AddTableCell()

TableCell pdftron::Layout::TableRow::AddTableCell | ( |  | ) |

Add a new cell to the row

Returns
  The newly created cell

## ◆ Destroy()

void pdftron::Layout::TableRow::Destroy | ( |  | ) |

## ◆ GetNumColumns()

UInt32 pdftron::Layout::TableRow::GetNumColumns | ( |  | ) |

Get number of columns in the row

Because of cell merging different rows may have different numbers of columns.

Returns
  number of columns in the row

## ◆ SetRowHeight()

void pdftron::Layout::TableRow::SetRowHeight | ( | double | val | ) |

Set row height

Parameters

  val | The row height

## Friends And Related Symbol Documentation

## ◆ ElementRef< TableRow >

friend class ElementRef< TableRow >
| friend

Definition at line 745 of file ContentTree.h.

## ◆ Table

friend class Table
| friend

Definition at line 745 of file ContentTree.h.

The documentation for this class was generated from the following file:

- Layout/ContentTree.h